using UnityEngine;
using UnityEngine.UI;

public class ButtonColors {
    public static ColorBlock SelectedColorBlock() {
        ColorBlock block = new ColorBlock();
        block.colorMultiplier = 1.0f;
        block.normalColor = Color.gray;
        block.pressedColor = Color.blue;

        return block;
    }

    public static ColorBlock UnselectedColorBlock() {
        ColorBlock block = new ColorBlock();

        block.colorMultiplier = 1.0f;
        block.normalColor = Color.white;
        block.pressedColor = Color.magenta;
        block.highlightedColor = new Color(0.0f, 0.0f, 0.0f, 0.5f);

        return block;
    }
}
